Package tigase.server.ext

## Class ServerCompDBRepository

- java.lang.Object
- - tigase.db.comp.ConfigRepository<Item>
  - - tigase.db.comp.UserRepoRepository<CompRepoItem>
    - - tigase.server.ext.AbstractCompDBRepository
      - - tigase.server.ext.ServerCompDBRepository

- All Implemented Interfaces:
    `java.lang.Iterable<CompRepoItem>`, `ComponentRepository<CompRepoItem>`, `Repository`, `Initializable`, `UnregisterAware`

      @Bean(name="repository",
            parent=ComponentProtocol.class,
            active=true)
      @ConfigType(DefaultMode)
      public class ServerCompDBRepository
      extends AbstractCompDBRepository

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tigase.db.Repository

      `Repository.Meta, Repository.SchemaId`

  - ### Field Summary

    - ### Fields inherited from class tigase.server.ext.AbstractCompDBRepository

      `ITEMS_IMPORT_FILE`

    - ### Fields inherited from class tigase.db.comp.UserRepoRepository

      `repo, REPO_CLASS_PROP_KEY, REPO_URI_PROP_KEY`

    - ### Fields inherited from class tigase.db.comp.ConfigRepository

      `autoReloadInterval, items, itemsHash`

    - ### Fields inherited from interface tigase.db.comp.ComponentRepository

      `COMP_REPO_BIND`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServerCompDBRepository()` |

  - ### Method Summary

    - ### Methods inherited from class tigase.server.ext.AbstractCompDBRepository

      `destroy, getConfigKey, getDefaultPropetyItems, getItemInstance, getItemsListPKey, getPropertyKey, getRepoUser, initialize, initRepository, loadItemsFromFile, validateItem`

    - ### Methods inherited from class tigase.db.comp.UserRepoRepository

      `reload, setRepo, store`

    - ### Methods inherited from class tigase.db.comp.ConfigRepository

      `addItem, addItemNoStore, addRepoChangeListener, allItems, beforeUnregister, contains, getDefaultItems, getDefaults, getItem, getItemsOld, initItemsMap, isInitialized, itemChanged, iterator, removeItem, removeItemNoStore, removeRepoChangeListener, setAutoloadTimer, setAutoReloadInterval, setItemsOld, setProperties, size, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### ServerCompDBRepository

          public ServerCompDBRepository()